C# Class Revit.SDK.Samples.ReferencePlane.CS.GeoHelper

A object to help locating with geometry data.
Afficher le fichier Open project: AMEE/revit Class Usage Examples

Méthodes publiques

Méthode Description
Distribute ( Mesh mesh, Autodesk &startPoint, Autodesk &endPoint, Autodesk &thirdPnt ) : void

Find out the three points which made of a plane.

GetBottomFace ( FaceArray faces ) : Face

Find the bottom face of a face array.

GetDistance ( double start, double end ) : double

The distance between two value in a same axis.

GetLength ( Autodesk startPoint, Autodesk endPoint ) : double

Calculate the length between two points.

GetVector ( Autodesk startPoint, Autodesk endPoint ) : Autodesk.Revit.DB.XYZ

Get the vector between two points.

Private Methods

Méthode Description
Equal ( Autodesk vectorA, Autodesk vectorB ) : bool

Determines whether two vector are equal in x and y axis.

IsVerticalEdge ( System.Edge edge ) : bool

Determines whether a edge is vertical.

IsVerticalFace ( Face face ) : bool

Determines whether a face is vertical.

Method Details

Distribute() public static méthode

Find out the three points which made of a plane.
public static Distribute ( Mesh mesh, Autodesk &startPoint, Autodesk &endPoint, Autodesk &thirdPnt ) : void
mesh Mesh A mesh contains many points.
startPoint Autodesk Create a new instance of ReferencePlane.
endPoint Autodesk The free end apply to reference plane.
thirdPnt Autodesk A third point needed to define the reference plane.
Résultat void

GetBottomFace() public static méthode

Find the bottom face of a face array.
public static GetBottomFace ( FaceArray faces ) : Face
faces FaceArray A face array.
Résultat Face

GetDistance() public static méthode

The distance between two value in a same axis.
public static GetDistance ( double start, double end ) : double
start double start value.
end double end value.
Résultat double

GetLength() public static méthode

Calculate the length between two points.
public static GetLength ( Autodesk startPoint, Autodesk endPoint ) : double
startPoint Autodesk The start point.
endPoint Autodesk The end point.
Résultat double

GetVector() public static méthode

Get the vector between two points.
public static GetVector ( Autodesk startPoint, Autodesk endPoint ) : Autodesk.Revit.DB.XYZ
startPoint Autodesk The start point.
endPoint Autodesk The end point.
Résultat Autodesk.Revit.DB.XYZ